* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h1, p {
    user-select: none;

}
@font-face {
  font-family: 'ComicRelief';
  src: url('../assets/ComicRelief-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

body {
    min-height: 100vh;
    width: 100%;
    background: linear-gradient(to top in oklch longer hue, red, red);
    background-size: 100% 300%;
    animation: backgroundScroll 10s linear infinite;
    overflow: hidden;
}

.text-content {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    z-index: 1;
}

body::after {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: hsla(0, 0%, 0%, 0.15);
    z-index: -1;
}

.loading {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    position: fixed;
    z-index: -1;
    font-size: 8vmax;
}

.hidden {
    display: none;
}

#message {
    color: white;
    font-family: 'ComicRelief', Arial, Helvetica, sans-serif;
    font-size: 9.5vmax;
    text-align: center;
}

.to, .from {
    color: white;
    font-family: 'ComicRelief', Arial, Helvetica, sans-serif;
    font-size: 5.5vmax;
    text-align: center;
}


@keyframes backgroundScroll {
  from { background-position: 0% 0%; }
  to { background-position: 0% 300%; }
}

